﻿<%@ Page Title="TextBox Character Count Extender" Language="C#" MasterPageFile="~/Site.Master"
    AutoEventWireup="true" CodeBehind="TextBoxCharacterCount.aspx.cs" Inherits="Samples.TextBoxCharacterCount" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h1>
        TextBox Character Count Extender</h1>
    <hr />
    <br />
    <b>Single-Line Textbox</b>
    <br />
    <asp:TextBox ID="SingleLineTextBox" runat="server" Width="350px"></asp:TextBox>
    <ajax:TextBoxCharacterCountExtender ID="SingleLineTextBox_TextBoxCharacterCountExtender"
        runat="server" DisplayDIV="singleLineCharDisplay" Enabled="True" MaximumLength="50"
        TargetControlID="SingleLineTextBox">
    </ajax:TextBoxCharacterCountExtender>
    <br />
    <div id="singleLineCharDisplay"></div>
    <br />
    <br />
    <b>Multi-Line Textbox</b>
    <br />
    <asp:TextBox ID="MultiLineTextBox" runat="server" Height="165px" TextMode="MultiLine"
        Width="350px"></asp:TextBox>
    <ajax:TextBoxCharacterCountExtender ID="MultiLineTextBox_TextBoxCharacterCountExtender"
        runat="server" DisplayDIV="multiLineCharDisplay" Enabled="True" MaximumLength="250"
        TargetControlID="MultiLineTextBox">
    </ajax:TextBoxCharacterCountExtender>
    <br />
    <div id="multiLineCharDisplay"></div>
    <br />
    <br />
    <br />
</asp:Content>
