/// <reference name="MicrosoftAjax.js"/>

Type.registerNamespace('ForgottenExtenders');

ForgottenExtenders.TextBoxCharacterCountBehavior = function(element) {

ForgottenExtenders.TextBoxCharacterCountBehavior.initializeBase(this, [element]);

    this._myPropertyValue = null;
    this._maximumLengthValue = null;
    this._displayDIV = null;

}

ForgottenExtenders.TextBoxCharacterCountBehavior.prototype = {

    initialize: function() {
        ForgottenExtenders.TextBoxCharacterCountBehavior.callBaseMethod(this, 'initialize');

        // TODO: add your initalization code here
        $addHandler(this.get_element(), 'keyup', Function.createDelegate(this, this._onkeyup));
        $addHandler(this.get_element(), 'blur', Function.createDelegate(this, this._onblur));
    },

    dispose: function() {
        // TODO: add your cleanup code here
        $clearHandlers(this.get_element());
        ForgottenExtenders.TextBoxCharacterCountBehavior.callBaseMethod(this, 'dispose');
    },

    _onkeyup: function() {
        var e = this.get_element();
        var div = $get(this._displayDIV);

        if (e != 'undefined') {
            var charsRemaining = parseInt(this._maximumLengthValue) - e.value.length;

            if (e.value.length > parseInt(this._maximumLengthValue)) {
                e.value = e.value.substring(0, this._maximumLengthValue);
                charsRemaining = 0;
            }

            if (charsRemaining == 0) {
                if (div != 'undefined') { div.style.color = "Red" };
            }

            if (div != 'undefined') {
                // show the character remaining display with results
                div.style.display = "block";
                div.innerHTML = charsRemaining + " char(s) remaining!";
            }
        }

    },

    _onblur: function() {
        var div = $get(this._displayDIV);

        if (div != 'undefined') {
            // hide the character remaining display
            div.style.display = 'none';
        }
    },

    //Properties    
    get_MaximumLength: function() {
        return this._maximumLengthValue;
    },

    set_MaximumLength: function(value) {
        this._maximumLengthValue = value;
    },

    get_DisplayDIV: function() {
        return this._displayDIV;
    },

    set_DisplayDIV: function(value) {
        this._displayDIV = value;
    }
}

ForgottenExtenders.TextBoxCharacterCountBehavior.registerClass('ForgottenExtenders.TextBoxCharacterCountBehavior', AjaxControlToolkit.BehaviorBase);

if (typeof(Sys) !== 'undefined') Sys.Application.notifyScriptLoaded(); 